[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: LGPL-library (tntdb) linked with GPL-library (mysql)

On 8/25/06, Don Armstrong <don@debian.org> wrote:
On Fri, 25 Aug 2006, Tommi Mäkitalo wrote:
> I would like to change the license to LGPL. The problem here is,
> that the mysql-driver links with mysql, which is GPL. Does this GPL
> of mysql mean, that tntdb needs to be GPL also?

You didn't say whether the mysql-driver is part of the tntdb. I'm
guessing that it is.

I think that tntdb needs to be GPL also, but I don't have much
experience in answering licensing-questions so you'd better get
confirmation from someone else.

No; the LGPL is always compatible with the GPL. [You can always remove
the LGPL from code licensed under it and redistribute it under the

Are you sure? Because according to your interpretation I would be able
to use *any* GPL:ed library using the terms of LGPL with this simple

1. Take a GPL:ed library
2. Create LGPL:ed library which uses the GPL:ed library, and offers
the exact same functionality.
3. Use the created LGPL:ed library instead of the original one, to get
exact same functionality without (some) restrictions of the GPL.

So I don't think your interpretation is correct.

Markus Laire

Reply to: